Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158084 - No thermal control on mac mini
Summary: No thermal control on mac mini
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 4
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-18 15:01 UTC by Orion Poplawski
Modified: 2014-03-17 02:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-19 02:49:33 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2005-05-18 15:01:36 UTC
Description of problem:

fc4test3 on mac mini doesn't load any therm modules.  In fact, no longer see
therm_pm72, though I don't have any idea which module the mini needs.

[root@mini ~]# lsmod | grep i2c
i2c_keywest            13828  0

[root@mini ~]# dmesg | grep  -i i2c
Found KeyWest i2c on "uni-n", 2 channels, stepping: 4 bits
Found KeyWest i2c on "mac-io", 1 channel, stepping: 4 bits

[root@mini ~]# lsmod | grep therm

[root@mini ~]# find /lib/modules/ -name therm\*.ko
/lib/modules/2.6.11-1.1286_FC4/kernel/drivers/macintosh/therm_adt746x.ko
/lib/modules/2.6.11-1.1286_FC4/kernel/drivers/macintosh/therm_windtunnel.ko

[root@mini ~]# modprobe therm_adt746x
FATAL: Error inserting therm_adt746x
(/lib/modules/2.6.11-1.1286_FC4/kernel/drivers/macintosh/therm_adt746x.ko): No
such device

[root@mini ~]# modprobe therm_windtunnel
FATAL: Error inserting therm_windtunnel
(/lib/modules/2.6.11-1.1286_FC4/kernel/drivers/macintosh/therm_windtunnel.ko):
No such device

[root@mini ~]# ls /lib/modules/2.6.11-1.1286_FC4/kernel/drivers/macintosh/
therm_adt746x.ko  therm_windtunnel.ko

Comment 1 Bill Nottingham 2005-05-18 15:21:37 UTC
Well, without some idea of what module is needed, it's hard to load it. :)

Comment 2 Colin Charles 2005-05-19 02:20:18 UTC
Currently no such module exists. Waiting on benh to further hack on it outta OF,
as the i2c bus isn't quite exposed to us yet

Comment 3 Bill Nottingham 2005-05-19 02:49:33 UTC
OK then.


Note You need to log in before you can comment on or make changes to this bug.